Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

Body

application/json
name
string
required

Locale name

Example:

"de"

code
string
required

Locale ISO code

Example:

"de-DE"

branch
string

specify the branch to use

Example:

"my-feature-branch"

default
boolean

Indicates whether locale is the default locale. If set to true, the previous default locale the project is no longer the default locale.

Example:

null

main
boolean

Indicates whether locale is a main locale. Main locales are part of the Verification System feature.

Example:

null

rtl
boolean

Indicates whether locale is a RTL (Right-to-Left) locale.

Example:

null

source_locale_id
string

Source locale. Can be the name or id of the locale. Preferred is id.

Example:

"abcd1234abcd1234abcd1234abcd1234"

fallback_locale_id
string

Fallback locale for empty translations. Can be a locale name or id.

Example:

"abcd1234abcd1234abcd1234abcd1234"

unverify_new_translations
boolean

Indicates that new translations for this locale should be marked as unverified. Part of the Advanced Workflows feature.

Example:

null

unverify_updated_translations
boolean

Indicates that updated translations for this locale should be marked as unverified. Part of the Advanced Workflows feature.

Example:

null

autotranslate
boolean

If set, translations for this locale will be fetched automatically, right after creation.

Example:

null

language_ai_profile
string

Identifier of the Language AI profile to use for this locale.

Example:

"abcd1234abcd1234abcd1234abcd1234"

Response

Created

id
string
name
string
code
string
default
boolean
main
boolean
rtl
boolean
plural_forms
string[]
ordinal_plural_forms
string[]
source_locale
locale_preview · object
Example:
fallback_locale
locale_preview · object
Example:
language_ai_profile
string
created_at
string<date-time>
updated_at
string<date-time>
statistics
locale_statistics · object
Example:

null